<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.6" maxVersion="1.8" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <NonVisualComponents>
    <Component class="javax.swing.ButtonGroup" name="buttonGroup">
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="name" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
      <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_Imports" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
    </Property>
    <Property name="opaque" type="boolean" value="false"/>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="singleClassImportsRadioButton" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Group type="102" alignment="0" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="jScrollPane2" pref="0" max="32767" attributes="1"/>
                          <Component id="separateStaticImportsCheckBox" alignment="0" min="-2" max="-2" attributes="1"/>
                          <Group type="102" alignment="0" attributes="0">
                              <EmptySpace min="21" pref="21" max="21" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="jScrollPane1" alignment="0" pref="0" max="32767" attributes="1"/>
                                  <Group type="102" attributes="0">
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Component id="starImportTresholdCheckBox" min="-2" max="-2" attributes="0"/>
                                          <Component id="starImportPackagesLabel" alignment="0" min="-2" max="-2" attributes="0"/>
                                          <Component id="importInnerClassesCheckBox" alignment="0" min="-2" max="-2" attributes="0"/>
                                          <Component id="starStaticImportTresholdCheckBox" alignment="0" min="-2" max="-2" attributes="0"/>
                                      </Group>
                                      <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="103" alignment="0" groupAlignment="1" max="-2" attributes="0">
                              <Component id="addStarImportPackageButton" alignment="0" max="32767" attributes="1"/>
                              <Component id="removeStarImportPackageButton" alignment="0" max="32767" attributes="1"/>
                              <Component id="addButton" alignment="0" max="32767" attributes="1"/>
                              <Component id="moveUpButton" alignment="0" max="32767" attributes="1"/>
                              <Component id="removeButton" alignment="0" max="32767" attributes="1"/>
                              <Component id="moveDownButton" alignment="0" max="32767" attributes="1"/>
                          </Group>
                          <Group type="103" alignment="1" groupAlignment="0" max="-2" attributes="0">
                              <Component id="starImportTresholdSpinner" alignment="1" max="32767" attributes="1"/>
                              <Component id="startStaticImportTresholdSpinner" alignment="1" pref="38" max="32767" attributes="1"/>
                          </Group>
                      </Group>
                  </Group>
                  <Component id="importLayoutLabel" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Component id="packageImportsRadioButton" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Component id="fqnRadioButton" alignment="0" min="-2" max="-2" attributes="1"/>
                  <Component id="separateGroupsCheckBox" alignment="0" min="-2" max="-2" attributes="0"/>
                  <Component id="jSeparator1" alignment="0" max="32767" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Component id="singleClassImportsRadioButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="importInnerClassesCheckBox" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="starImportTresholdSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="starImportTresholdCheckBox" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="startStaticImportTresholdSpinner" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="starStaticImportTresholdCheckBox" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="starImportPackagesLabel" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="addStarImportPackageButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="removeStarImportPackageButton" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Component id="jScrollPane1" alignment="1" min="0" pref="0" max="32767" attributes="1"/>
              </Group>
              <EmptySpace type="unrelated" max="-2" attributes="0"/>
              <Component id="packageImportsRadioButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="fqnRadioButton" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="10" max="-2" attributes="0"/>
              <Component id="jSeparator1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="11" max="-2" attributes="0"/>
              <Component id="importLayoutLabel" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="separateStaticImportsCheckBox" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                  <Group type="102" attributes="0">
                      <Component id="addButton" min="-2" pref="25" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="moveUpButton" min="-2" pref="25" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="moveDownButton" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="removeButton" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Component id="jScrollPane2" min="0" pref="0" max="32767" attributes="1"/>
              </Group>
              <EmptySpace max="-2" attributes="0"/>
              <Component id="separateGroupsCheckBox" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JRadioButton" name="singleClassImportsRadioButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_useSingleClass" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="singleClassImportsRadioButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JCheckBox" name="importInnerClassesCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_importInnerClasses" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="starImportTresholdCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_importTreshold" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="starImportTresholdCheckBoxActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JSpinner" name="starImportTresholdSpinner">
      <Properties>
        <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
          <SpinnerModel initial="0" minimum="0" numberType="java.lang.Integer" stepSize="1" type="number"/>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JCheckBox" name="starStaticImportTresholdCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_staticImportTreshold" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="starStaticImportTresholdCheckBoxActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JSpinner" name="startStaticImportTresholdSpinner">
      <Properties>
        <Property name="model" type="javax.swing.SpinnerModel" editor="org.netbeans.modules.form.editors2.SpinnerModelEditor">
          <SpinnerModel initial="0" minimum="0" numberType="java.lang.Integer" stepSize="1" type="number"/>
        </Property>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="starImportPackagesLabel">
      <Properties>
        <Property name="labelFor" type="java.awt.Component" editor="org.netbeans.modules.form.ComponentChooserEditor">
          <ComponentRef name="starImportPackagesTable"/>
        </Property>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_starImportPackages" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="starImportPackagesTable">
          <Properties>
            <Property name="selectionModel" type="javax.swing.ListSelectionModel" editor="org.netbeans.modules.form.editors2.JTableSelectionModelEditor">
              <JTableSelectionModel selectionMode="0"/>
            </Property>
            <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
              <TableHeader reorderingAllowed="false" resizingAllowed="false"/>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="addStarImportPackageButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_add" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addStarImportPackageButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="removeStarImportPackageButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_remove" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="removeStarImportPackageButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JRadioButton" name="packageImportsRadioButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_usePackage" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="packageImportsRadioButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JRadioButton" name="fqnRadioButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_useFQN" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="fqnRadioButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JSeparator" name="jSeparator1">
    </Component>
    <Component class="javax.swing.JCheckBox" name="separateStaticImportsCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_separateStaticImports" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="separateStaticImportsCheckBoxActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="importLayoutLabel">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_importLayout" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane2">

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="importLayoutTable">
          <Properties>
            <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
              <TableHeader reorderingAllowed="false" resizingAllowed="false"/>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="addButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_add" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="moveUpButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_moveUp" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="moveUpButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="moveDownButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_moveDown" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="moveDownButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="removeButton">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_remove" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="removeButtonActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JCheckBox" name="separateGroupsCheckBox">
      <Properties>
        <Property name="text" type="java.lang.String" editor="org.netbeans.modules.i18n.form.FormI18nStringEditor">
          <ResourceString bundle="org/netbeans/modules/java/ui/Bundle.properties" key="LBL_imp_separateGroups" replaceFormat="org.openide.util.NbBundle.getMessage({sourceFileName}.class, &quot;{key}&quot;)"/>
        </Property>
      </Properties>
    </Component>
  </SubComponents>
</Form>
